Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Encryption.PkzipClassicCryptoBase Class Reference

PkzipClassicCryptoBase provides the low level facilities for encryption and decryption using the PkzipClassic algorithm. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Encryption.PkzipClassicCryptoBase:
[legend]

## Protected Member Functions
byte | TransformByte ()
| Transform a single byte.
void | SetKeys (byte[] keyData)
| Set the key schedule for encryption/decryption.
void | UpdateKeys (byte ch)
| Update encryption keys.
void | Reset ()
| Reset the internal state.

## Private Attributes
uint[] | keys

## Detailed Description

PkzipClassicCryptoBase provides the low level facilities for encryption and decryption using the PkzipClassic algorithm.

## Member Function Documentation

## ◆ Reset()

void ICSharpCode.SharpZipLib.Encryption.PkzipClassicCryptoBase.Reset | ( |  | ) |
| protected

Reset the internal state.

Here is the caller graph for this function:

## ◆ SetKeys()

void ICSharpCode.SharpZipLib.Encryption.PkzipClassicCryptoBase.SetKeys | ( | byte[] | keyData | ) |
| protected

Set the key schedule for encryption/decryption.

Parameters

  keyData | The data use to set the keys from.

Here is the caller graph for this function:

## ◆ TransformByte()

byte ICSharpCode.SharpZipLib.Encryption.PkzipClassicCryptoBase.TransformByte | ( |  | ) |
| protected

Transform a single byte.

Returns
  The transformed value

Here is the caller graph for this function:

## ◆ UpdateKeys()

void ICSharpCode.SharpZipLib.Encryption.PkzipClassicCryptoBase.UpdateKeys | ( | byte | ch | ) |
| protected

Update encryption keys.

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## ◆ keys

uint [] ICSharpCode.SharpZipLib.Encryption.PkzipClassicCryptoBase.keys
| private

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Encryption/PkzipClassic.cs